diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simple-ref-count.h ns-3.44/src/core/model/simple-ref-count.h
--- ns-3.43/src/core/model/simple-ref-count.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simple-ref-count.h	2025-03-09 16:55:49.363371100 -0700
@@ -17,8 +17,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup ptr
+ * @file
+ * @ingroup ptr
  * ns3::SimpleRefCount declaration and template implementation.
  */
 
@@ -26,22 +26,22 @@
 {
 
 /**
- * \ingroup ptr
- * \brief Empty class, used as a default parent class for SimpleRefCount
+ * @ingroup ptr
+ * @brief Empty class, used as a default parent class for SimpleRefCount
  */
 class Empty
 {
 };
 
 /**
- * \ingroup ptr
- * \brief A template-based reference counting class
+ * @ingroup ptr
+ * @brief A template-based reference counting class
  *
  * This template can be used to give reference-counting powers
  * to a class. This template does not require this class to
  * have a virtual destructor or a specific (or any) parent class.
  *
- * \note If you are moving to this template from the RefCountBase class,
+ * @note If you are moving to this template from the RefCountBase class,
  * you need to be careful to mark appropriately your destructor virtual
  * if needed. i.e., if your class has subclasses, _do_ mark your destructor
  * virtual.
@@ -50,15 +50,15 @@
  * This template takes 3 arguments but only the first argument is
  * mandatory:
  *
- * \tparam T \explicit The typename of the subclass which derives
+ * @tparam T \explicit The typename of the subclass which derives
  *      from this template class. Yes, this is weird but it's a
  *      common C++ template pattern whose name is CRTP (Curiously
  *      Recursive Template Pattern)
- * \tparam PARENT \explicit The typename of the parent of this template.
+ * @tparam PARENT \explicit The typename of the parent of this template.
  *      By default, this typename is "'ns3::Empty'" which is an empty
  *      class: compilers which implement the EBCO optimization (empty
  *      base class optimization) will make this a no-op
- * \tparam DELETER \explicit The typename of a class which implements
+ * @tparam DELETER \explicit The typename of a class which implements
  *      a public static method named 'Delete'. This method will be called
  *      whenever the SimpleRefCount template detects that no references
  *      to the object it manages exist anymore.
@@ -77,7 +77,7 @@
 
     /**
      * Copy constructor
-     * \param [in] o The object to copy into this one.
+     * @param [in] o The object to copy into this one.
      */
     SimpleRefCount(const SimpleRefCount& o [[maybe_unused]])
         : m_count(1)
@@ -86,8 +86,8 @@
 
     /**
      * Assignment operator
-     * \param [in] o The object to copy
-     * \returns The copy of \pname{o}
+     * @param [in] o The object to copy
+     * @returns The copy of \pname{o}
      */
     SimpleRefCount& operator=(const SimpleRefCount& o [[maybe_unused]])
     {
@@ -125,7 +125,7 @@
      * Get the reference count of the object.
      * Normally not needed; for language bindings.
      *
-     * \return The reference count.
+     * @return The reference count.
      */
     inline uint32_t GetReferenceCount() const
     {
@@ -136,7 +136,7 @@
     /**
      * The reference count.
      *
-     * \internal
+     * @internal
      * Note we make this mutable so that the const methods can still
      * change it.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simulation-singleton.h ns-3.44/src/core/model/simulation-singleton.h
--- ns-3.43/src/core/model/simulation-singleton.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simulation-singleton.h	2025-03-09 16:55:49.363371100 -0700
@@ -9,8 +9,8 @@
 #define SIMULATION_SINGLETON_H
 
 /**
- * \file
- * \ingroup singleton
+ * @file
+ * @ingroup singleton
  * ns3::SimulationSingleton declaration and template implementation.
  */
 
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup singleton
+ * @ingroup singleton
  * This singleton class template ensures that the type
  * for which we want a singleton has a lifetime bounded
  * by the simulation run lifetime. That it, the underlying
@@ -43,7 +43,7 @@
      * This instance will be automatically deleted when the
      * simulation is destroyed by a call to Simulator::Destroy.
      *
-     * \returns A pointer to the singleton instance.
+     * @returns A pointer to the singleton instance.
      */
     static T* Get();
 
@@ -51,11 +51,11 @@
     /**
      * Get the singleton object, creating a new one if it doesn't exist yet.
      *
-     * \internal
+     * @internal
      * When a new object is created, this method schedules it's own
      * destruction using Simulator::ScheduleDestroy().
      *
-     * \returns The address of the pointer holding the static instance.
+     * @returns The address of the pointer holding the static instance.
      */
     static T** GetObject();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simulator.cc ns-3.44/src/core/model/simulator.cc
--- ns-3.43/src/core/model/simulator.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simulator.cc	2025-03-09 16:55:49.363371100 -0700
@@ -29,8 +29,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup simulator
+ * @file
+ * @ingroup simulator
  * ns3::Simulator implementation, as well as implementation pointer,
  * global scheduler implementation.
  */
@@ -46,8 +46,8 @@
 EventId Simulator::m_stopEvent;
 
 /**
- * \ingroup simulator
- * \anchor GlobalValueSimulatorImplementationType
+ * @ingroup simulator
+ * @anchor GlobalValueSimulatorImplementationType
  * The specific simulator implementation to use.
  *
  * Must be derived from SimulatorImpl.
@@ -59,8 +59,8 @@
                 MakeStringChecker());
 
 /**
- * \ingroup scheduler
- * \anchor GlobalValueSchedulerType
+ * @ingroup scheduler
+ * @anchor GlobalValueSchedulerType
  * The specific event scheduler implementation to use.
  *
  * Must be derived from Scheduler.
@@ -72,9 +72,9 @@
                 MakeTypeIdChecker());
 
 /**
- * \ingroup simulator
- * \brief Get the static SimulatorImpl instance.
- * \return The SimulatorImpl instance pointer.
+ * @ingroup simulator
+ * @brief Get the static SimulatorImpl instance.
+ * @return The SimulatorImpl instance pointer.
  */
 static SimulatorImpl**
 PeekImpl()
@@ -84,10 +84,10 @@
 }
 
 /**
- * \ingroup simulator
- * \brief Get the SimulatorImpl singleton.
- * \return The singleton pointer.
- * \see Simulator::GetImplementation()
+ * @ingroup simulator
+ * @brief Get the SimulatorImpl singleton.
+ * @return The singleton pointer.
+ * @see Simulator::GetImplementation()
  */
 static SimulatorImpl*
 GetImpl()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simulator.h ns-3.44/src/core/model/simulator.h
--- ns-3.43/src/core/model/simulator.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simulator.h	2025-03-09 16:55:49.363371100 -0700
@@ -187,7 +187,7 @@
     /**
      * Context enum values.
      *
-     * \internal
+     * @internal
      * This enum type is fixed to match the representation size
      * of simulation context.
      */
@@ -201,7 +201,7 @@
 
     /**
      * Get the number of events executed.
-     * \returns The total number of events executed.
+     * @returns The total number of events executed.
      */
     static uint64_t GetEventCount();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simulator-impl.cc ns-3.44/src/core/model/simulator-impl.cc
--- ns-3.43/src/core/model/simulator-impl.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simulator-impl.cc	2025-03-09 16:55:49.363371100 -0700
@@ -10,8 +10,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup simulator
+ * @file
+ * @ingroup simulator
  * ns3::SimulatorImpl implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/simulator-impl.h ns-3.44/src/core/model/simulator-impl.h
--- ns-3.43/src/core/model/simulator-impl.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/simulator-impl.h	2025-03-09 16:55:49.363371100 -0700
@@ -17,8 +17,8 @@
 #include "ptr.h"
 
 /**
- * \file
- * \ingroup simulator
+ * @file
+ * @ingroup simulator
  * ns3::SimulatorImpl declaration.
  */
 
@@ -28,74 +28,76 @@
 class Scheduler;
 
 /**
- * \ingroup simulator
+ * @ingroup simulator
  *
  * The SimulatorImpl base class.
  *
- * \todo Define what the simulation or event context means.
+ * @todo Define what the simulation or event context means.
  */
 class SimulatorImpl : public Object
 {
   public:
     /**
      * Get the registered TypeId for this class.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
-    /** \copydoc Simulator::Destroy */
+    /** @copydoc Simulator::Destroy */
     virtual void Destroy() = 0;
-    /** \copydoc Simulator::IsFinished */
+    /** @copydoc Simulator::IsFinished */
     virtual bool IsFinished() const = 0;
-    /** \copydoc Simulator::Stop() */
+    /** @copydoc Simulator::Stop() */
     virtual void Stop() = 0;
-    /** \copydoc Simulator::Stop(const Time&) */
+    /** @copydoc Simulator::Stop(const Time&) */
     virtual EventId Stop(const Time& delay) = 0;
-    /** \copydoc Simulator::Schedule(const Time&,const Ptr<EventImpl>&) */
+    /** @copydoc Simulator::Schedule(const Time&,const Ptr<EventImpl>&) */
     virtual EventId Schedule(const Time& delay, EventImpl* event) = 0;
-    /** \copydoc Simulator::ScheduleWithContext(uint32_t,const Time&,EventImpl*) */
+    /** @copydoc Simulator::ScheduleWithContext(uint32_t,const Time&,EventImpl*) */
     virtual void ScheduleWithContext(uint32_t context, const Time& delay, EventImpl* event) = 0;
-    /** \copydoc Simulator::ScheduleNow(const Ptr<EventImpl>&) */
+    /** @copydoc Simulator::ScheduleNow(const Ptr<EventImpl>&) */
     virtual EventId ScheduleNow(EventImpl* event) = 0;
-    /** \copydoc Simulator::ScheduleDestroy(const Ptr<EventImpl>&) */
+    /** @copydoc Simulator::ScheduleDestroy(const Ptr<EventImpl>&) */
     virtual EventId ScheduleDestroy(EventImpl* event) = 0;
-    /** \copydoc Simulator::Remove */
+    /** @copydoc Simulator::Remove */
     virtual void Remove(const EventId& id) = 0;
-    /** \copydoc Simulator::Cancel */
+    /** @copydoc Simulator::Cancel */
     virtual void Cancel(const EventId& id) = 0;
-    /** \copydoc Simulator::IsExpired */
+    /** @copydoc Simulator::IsExpired */
     virtual bool IsExpired(const EventId& id) const = 0;
-    /** \copydoc Simulator::Run */
+    /** @copydoc Simulator::Run */
     virtual void Run() = 0;
-    /** \copydoc Simulator::Now */
+    /** @copydoc Simulator::Now */
     virtual Time Now() const = 0;
-    /** \copydoc Simulator::GetDelayLeft */
+    /** @copydoc Simulator::GetDelayLeft */
     virtual Time GetDelayLeft(const EventId& id) const = 0;
-    /** \copydoc Simulator::GetMaximumSimulationTime */
+    /** @copydoc Simulator::GetMaximumSimulationTime */
     virtual Time GetMaximumSimulationTime() const = 0;
     /**
      * Set the Scheduler to be used to manage the event list.
      *
-     * \param [in] schedulerFactory A new event scheduler factory.
+     * @param [in] schedulerFactory A new event scheduler factory.
      *
      * The event scheduler can be set at any time: the events scheduled
      * in the previous scheduler will be transferred to the new scheduler
      * before we start to use it.
      */
     virtual void SetScheduler(ObjectFactory schedulerFactory) = 0;
-    /** \copydoc Simulator::GetSystemId */
+    /** @copydoc Simulator::GetSystemId */
     virtual uint32_t GetSystemId() const = 0;
-    /** \copydoc Simulator::GetContext */
+    /** @copydoc Simulator::GetContext */
     virtual uint32_t GetContext() const = 0;
-    /** \copydoc Simulator::GetEventCount */
+    /** @copydoc Simulator::GetEventCount */
     virtual uint64_t GetEventCount() const = 0;
 
     /**
      * Hook called before processing each event.
      *
-     * \param [in] id The event about to be processed.
+     * @param [in] id The event about to be processed.
      */
-    virtual void PreEventHook(const EventId& id){};
+    virtual void PreEventHook(const EventId& id)
+    {
+    }
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/singleton.h ns-3.44/src/core/model/singleton.h
--- ns-3.43/src/core/model/singleton.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/singleton.h	2025-03-09 16:55:49.363371100 -0700
@@ -9,8 +9,8 @@
 #define SINGLETON_H
 
 /**
- * \file
- * \ingroup singleton
+ * @file
+ * @ingroup singleton
  * ns3::Singleton declaration and template implementation.
  */
 
@@ -18,15 +18,15 @@
 {
 
 /**
- * \ingroup core
- * \defgroup singleton Singleton
+ * @ingroup core
+ * @defgroup singleton Singleton
  *
  * Template class implementing the Singleton design pattern.
  */
 
 /**
- * \ingroup singleton
- * \brief A template singleton
+ * @ingroup singleton
+ * @brief A template singleton
  *
  * This template class can be used to implement the singleton pattern.
  * The underlying object will be destroyed automatically when the process
@@ -36,16 +36,16 @@
  * not the process, see SimulationSingleton.
  *
  * To force your `class ExampleS` to be a singleton, inherit from Singleton:
- * \code
+ * @code
  *   class ExampleS : public Singleton<ExampleS> { ... };
- * \endcode
+ * @endcode
  *
  * Then, to reach the singleton instance, just do
- * \code
+ * @code
  *   ExampleS::Get ()->...;
- * \endcode
+ * @endcode
  *
- * \note
+ * @note
  * If you call Get() again after the object has
  * been destroyed, the object will be re-created which will result in a
  * memory leak as reported by most memory leak checkers. It is up to the
@@ -66,7 +66,7 @@
      * The instance will be automatically deleted when
      * the process exits.
      *
-     * \return A pointer to the singleton instance.
+     * @return A pointer to the singleton instance.
      */
     static T* Get();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/string.cc ns-3.44/src/core/model/string.cc
--- ns-3.43/src/core/model/string.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/string.cc	2025-03-09 16:55:49.363371100 -0700
@@ -8,8 +8,8 @@
 #include "string.h"
 
 /**
- * \file
- * \ingroup attribute_String
+ * @file
+ * @ingroup attribute_String
  * ns3::StringValue attribute value implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/string.h ns-3.44/src/core/model/string.h
--- ns-3.43/src/core/model/string.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/string.h	2025-03-09 16:55:49.363371100 -0700
@@ -14,8 +14,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup attribute_String
+ * @file
+ * @ingroup attribute_String
  * ns3::StringValue attribute value declarations.
  */
 
@@ -28,9 +28,9 @@
 /**
  * Split a string on a delimiter.
  * The input string is ummodified.
- * \param [in] str The string.
- * \param [in] delim The delimiter.
- * \returns A vector of the components of \p str which were separated
+ * @param [in] str The string.
+ * @param [in] delim The delimiter.
+ * @returns A vector of the components of \p str which were separated
  * by \p delim.
  */
 StringVector SplitString(const std::string& str, const std::string& delim);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/synchronizer.cc ns-3.44/src/core/model/synchronizer.cc
--- ns-3.43/src/core/model/synchronizer.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/synchronizer.cc	2025-03-09 16:55:49.363371100 -0700
@@ -9,8 +9,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup realtime
+ * @file
+ * @ingroup realtime
  * ns3::Synchronizer implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-path.cc ns-3.44/src/core/model/system-path.cc
--- ns-3.43/src/core/model/system-path.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-path.cc	2025-03-09 16:55:49.363371100 -0700
@@ -50,8 +50,8 @@
 #endif
 
 /**
- * \file
- * \ingroup systempath
+ * @file
+ * @ingroup systempath
  * ns3::SystemPath implementation.
  */
 
@@ -64,11 +64,11 @@
 namespace
 {
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Get the list of files located in a file system directory with error.
  *
- * \param [in] path A path which identifies a directory
- * \return Tuple with a list of the filenames which are located in the input directory or error flag
+ * @param [in] path A path which identifies a directory
+ * @return Tuple with a list of the filenames which are located in the input directory or error flag
  * \c true if directory doesn't exist.
  */
 std::tuple<std::list<std::string>, bool>
@@ -96,14 +96,14 @@
 {
 
 /**
- * \ingroup systempath
- * \brief Get the directory path for a file.
+ * @ingroup systempath
+ * @brief Get the directory path for a file.
  *
  * This is an internal function (by virtue of not being
  * declared in a \c .h file); the public API is FindSelfDirectory().
  *
- * \param [in] path The full path to a file.
- * \returns The full path to the containing directory.
+ * @param [in] path The full path to a file.
+ * @returns The full path to the containing directory.
  */
 std::string
 Dirname(std::string path)
@@ -351,7 +351,7 @@
 
     // Check if the file itself exists
     auto tokens = Split(path);
-    std::string file = tokens.back();
+    const std::string& file = tokens.back();
 
     if (file.empty())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-path.h ns-3.44/src/core/model/system-path.h
--- ns-3.43/src/core/model/system-path.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-path.h	2025-03-09 16:55:49.363371100 -0700
@@ -12,8 +12,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup systempath
+ * @file
+ * @ingroup systempath
  * ns3::SystemPath declarations.
  */
 
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup system
- * \defgroup systempath Host Filesystem
- * \brief Encapsulate OS-specific functions to manipulate file
+ * @ingroup system
+ * @defgroup systempath Host Filesystem
+ * @brief Encapsulate OS-specific functions to manipulate file
  * and directory paths.
  *
  * The functions provided here are used mostly to implement
@@ -31,42 +31,42 @@
  */
 
 /**
- * \ingroup systempath
- * \brief Namespace for various file and directory path functions.
+ * @ingroup systempath
+ * @brief Namespace for various file and directory path functions.
  */
 namespace SystemPath
 {
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Get the file system path to the current executable.
  *
  * This path is only equivalent to the current working directory when
  * the executable is executed in its parent directory.
  *
- * \return The directory in which the currently-executing binary is located
+ * @return The directory in which the currently-executing binary is located
  */
 std::string FindSelfDirectory();
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Join two file system path elements.
  *
- * \param [in] left A path element
- * \param [in] right A path element
- * \return A concatenation of the two input paths
+ * @param [in] left A path element
+ * @param [in] right A path element
+ * @return A concatenation of the two input paths
  */
 std::string Append(std::string left, std::string right);
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Split a file system path into directories according to
  * the local path separator.
  *
  * This is the inverse of Join.
  *
- * \param [in] path A path
- * \return A list of path elements that can be joined together again with
+ * @param [in] path A path
+ * @return A list of path elements that can be joined together again with
  *         the Join function.
  * \sa ns3::SystemPath::Join
  */
@@ -78,25 +78,25 @@
  *
  * This is the inverse of Split.
  *
- * \ingroup systempath
- * \param [in] begin Iterator to first element to join
- * \param [in] end Iterator to one past the last element to join
- * \return A path that is a concatenation of all the input elements.
+ * @ingroup systempath
+ * @param [in] begin Iterator to first element to join
+ * @param [in] end Iterator to one past the last element to join
+ * @return A path that is a concatenation of all the input elements.
  */
 std::string Join(std::list<std::string>::const_iterator begin,
                  std::list<std::string>::const_iterator end);
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Get the list of files located in a file system directory.
  *
- * \param [in] path A path which identifies a directory
- * \return A list of the filenames which are located in the input directory
+ * @param [in] path A path which identifies a directory
+ * @return A list of the filenames which are located in the input directory
  */
 std::list<std::string> ReadFiles(std::string path);
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Get the name of a temporary directory.
  *
  * The returned path identifies a directory which does not exist yet.
@@ -119,34 +119,34 @@
  *
  * The final number is randomly generated, to avoid name collisions.
  *
- * \return A path which identifies a temporary directory.
+ * @return A path which identifies a temporary directory.
  */
 std::string MakeTemporaryDirectoryName();
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Create all the directories leading to path.
  *
- * \param [in] path A path to a directory
+ * @param [in] path A path to a directory
  */
 void MakeDirectories(std::string path);
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Check if a path exists.
  * Path can be a file or directory.
- * \param [in] path The path to check.
- * \returns \c true if the \pname{path} exists.
+ * @param [in] path The path to check.
+ * @returns \c true if the \pname{path} exists.
  */
 bool Exists(const std::string path);
 
 /**
- * \ingroup systempath
+ * @ingroup systempath
  * Replace incompatible characters in a path,
  * to get a path compatible with different
  * file systems.
- * \param [in] path The path to check.
- * \returns A compatible path.
+ * @param [in] path The path to check.
+ * @returns A compatible path.
  */
 std::string CreateValidSystemPath(const std::string path);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-wall-clock-ms.cc ns-3.44/src/core/model/system-wall-clock-ms.cc
--- ns-3.43/src/core/model/system-wall-clock-ms.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-wall-clock-ms.cc	2025-03-09 16:55:49.363371100 -0700
@@ -13,8 +13,8 @@
 #include <chrono>
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::SystemWallClockMs and ns3::SystemWallClockMsPrivate implementation.
  */
 
@@ -24,21 +24,21 @@
 NS_LOG_COMPONENT_DEFINE("SystemWallClockMs");
 
 /**
- * \ingroup system
- * \brief System-dependent implementation for SystemWallClockMs
+ * @ingroup system
+ * @brief System-dependent implementation for SystemWallClockMs
  */
 class SystemWallClockMsPrivate
 {
   public:
-    /** \copydoc SystemWallClockMs::Start() */
+    /** @copydoc SystemWallClockMs::Start() */
     void Start();
-    /** \copydoc SystemWallClockMs::End() */
+    /** @copydoc SystemWallClockMs::End() */
     int64_t End();
-    /** \copydoc SystemWallClockMs::GetElapsedReal() */
+    /** @copydoc SystemWallClockMs::GetElapsedReal() */
     int64_t GetElapsedReal() const;
-    /** \copydoc SystemWallClockMs::GetElapsedUser() */
+    /** @copydoc SystemWallClockMs::GetElapsedUser() */
     int64_t GetElapsedUser() const;
-    /** \copydoc SystemWallClockMs::GetElapsedSystem() */
+    /** @copydoc SystemWallClockMs::GetElapsedSystem() */
     int64_t GetElapsedSystem() const;
 
   private:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-wall-clock-ms.h ns-3.44/src/core/model/system-wall-clock-ms.h
--- ns-3.43/src/core/model/system-wall-clock-ms.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-wall-clock-ms.h	2025-03-09 16:55:49.363371100 -0700
@@ -12,8 +12,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::SystemWallClockMs declaration.
  */
 
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup system
- * \brief Measure elapsed wall clock time in milliseconds.
+ * @ingroup system
+ * @brief Measure elapsed wall clock time in milliseconds.
  */
 class SystemWallClockMs
 {
@@ -35,8 +35,8 @@
      */
     void Start();
     /**
-     * \brief Stop measuring the time since Start() was called.
-     * \returns the measured elapsed wall clock time (in milliseconds) since
+     * @brief Stop measuring the time since Start() was called.
+     * @returns the measured elapsed wall clock time (in milliseconds) since
      *          Start() was invoked.
      *
      * It is possible to start a new measurement with Start() after
@@ -47,21 +47,21 @@
     int64_t End();
 
     /**
-     * \returns the measured elapsed wall clock time (in milliseconds) since
+     * @returns the measured elapsed wall clock time (in milliseconds) since
      *          Start() was invoked.
      *
      * Returns \c int64_t to avoid dependency on \c clock_t in ns-3 code.
      */
     int64_t GetElapsedReal() const;
     /**
-     * \returns the measured elapsed 'user' wall clock time (in milliseconds)
+     * @returns the measured elapsed 'user' wall clock time (in milliseconds)
      *          since Start() was invoked.
      *
      * Returns \c int64_t to avoid dependency on \c clock_t in ns-3 code.
      */
     int64_t GetElapsedUser() const;
     /**
-     * \returns the measured elapsed 'system' wall clock time (in milliseconds)
+     * @returns the measured elapsed 'system' wall clock time (in milliseconds)
      *          since Start() was invoked.
      *
      * Returns \c int64_t to avoid dependency on \c clock_t in ns-3 code.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-wall-clock-timestamp.cc ns-3.44/src/core/model/system-wall-clock-timestamp.cc
--- ns-3.43/src/core/model/system-wall-clock-timestamp.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-wall-clock-timestamp.cc	2025-03-09 16:55:49.363371100 -0700
@@ -9,8 +9,8 @@
 #include "system-wall-clock-timestamp.h"
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::SystemWallClockTimestamp implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/system-wall-clock-timestamp.h ns-3.44/src/core/model/system-wall-clock-timestamp.h
--- ns-3.43/src/core/model/system-wall-clock-timestamp.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/system-wall-clock-timestamp.h	2025-03-09 16:55:49.363371100 -0700
@@ -10,8 +10,8 @@
 #define SYSTEM_WALL_CLOCK_TIMESTAMP_H
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::SystemWallClockTimestamp declaration.
  */
 
@@ -35,19 +35,19 @@
 
     /**
      * Get the last time stamp as a string.
-     * \return The last time stamp.
+     * @return The last time stamp.
      */
     std::string ToString() const;
 
     /**
      * Get the last recorded raw value.
-     * \returns The last time stamp recorded.
+     * @returns The last time stamp recorded.
      */
     std::time_t GetLast() const;
 
     /**
      * Get the last recorded interval.
-     * \returns The interval between the last two time stamps.
+     * @returns The interval between the last two time stamps.
      */
     std::time_t GetInterval() const;
 
